Update invoice line item

Update invoice line item

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invoiceIdstringRequired
Invoice ID
lineItemIdstringRequired
Invoice Line Item ID

Request

This endpoint expects an object.
namestringOptional
descriptionstringOptional
categorystringOptional
Category of the line item.
serviceStartDatedatetimeOptional
serviceEndDatedatetimeOptional
metadatamap from strings to stringsOptional
glAccountIdstringOptional
ID of general ledger account associated with this line item.

Response

This endpoint returns an object.
approvalPolicylist of objects
approverslist of objects
createdAtdatetime
hasDocumentsboolean
True if the invoice has documents attached.
hasSourceEmailboolean
True if the invoice was created by an incoming email.
idstring
metadatamap from strings to strings
Metadata associated with this invoice.
paymentDestinationConfirmedboolean

True if the payment destination has been confirmed by the vendor. False if the payment destination has been set (for example, a check to an address) but has not been confirmed by the vendor.

statusenum
updatedAtdatetime
amountdoubleOptional
Total amount of invoice in major units
batchPaymentbooleanOptional
If true, this invoice will be paid as a batch payment. Batches are automatically determined by Mercoa based on the payment source, destination, and scheduled payment date.
commentslist of objectsOptional
creatorEntityIdstringOptional
The ID of the entity who created this invoice.
creatorUserobjectOptional
Entity user who created this invoice.
currencyenumOptional
Currency code for the amount. Defaults to USD.
deductionDatedatetimeOptional
Initial date when funds are scheduled to be deducted from payer's account. The actual deduction date may differ from this date, and will be reflected in the processedAt field.
dueDatedatetimeOptional
Due date of invoice.
entityGroupForeignIdstringOptional
The foreign ID of the entity group that created this invoice.
entityGroupIdstringOptional
The ID of the entity group that created this invoice.
failureTypeenumOptional
If the invoice failed to be paid, this field will be populated with the type of failure.
feesobjectOptional
Fees associated with this invoice.
foreignIdstringOptional
The ID used to identify this invoice in your system. This ID must be unique within each creatorEntity in your system, e.g. two invoices with the same creatorEntity may not have the same foreign ID.
invoiceDatedatetimeOptional
Date the invoice was issued.
invoiceNumberstringOptional
lineItemslist of objectsOptional
netTermsintegerOptional
Net terms in days. Must be a positive number.
nextDeductionDatedatetimeOptional
For invoice templates, this is the date when the next recurring payment will be scheduled.
noteToSelfstringOptional
ocrJobIdstringOptional
ID of the OCR job that processed this invoice.
payerobjectOptional
payerIdstringOptional
paymentDestinationobjectOptional
paymentDestinationIdstringOptional
paymentDestinationOptionsobjectOptional
paymentScheduleobjectOptional

If this is a recurring invoice, this will be the payment schedule for the invoice. If not provided, this will be a one-time invoice.

paymentSourceobjectOptional
paymentSourceIdstringOptional
paymentSourceOptionsobjectOptional
paymentTimingobjectOptional
processedAtdatetimeOptional
Date when the invoice payment was processed.
recurringTemplateIdstringOptional
ID of the invoice template that created this recurring invoice. Only present if the invoice was created from a recurring template.
serviceEndDatedatetimeOptional
serviceStartDatedatetimeOptional
settlementDatedatetimeOptional
Date of funds settlement.
shippingAmountdoubleOptional
Shipping amount for this invoice.
taxAmountdoubleOptional
Tax amount for this invoice.
transactionslist of objectsOptional
Transactions associated with this invoice.
vendorobjectOptional
vendorCreditIdslist of stringsOptional
The IDs of the vendor credits that are currently applied to this invoice.
vendorIdstringOptional

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented